> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tenant-wide execution log



## OpenAPI

````yaml /api-reference/openapi.json get /v1/settlement-rules/executions/all
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/settlement-rules/executions/all:
    get:
      tags:
        - Settlement Rules
      summary: Tenant-wide execution log
      parameters:
        - schema:
            type: string
            enum:
              - triggered
              - executed
              - skipped
              - failed
          required: false
          name: status
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: since
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 200
            default: 50
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Executions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RuleExecution'
                  pagination:
                    type: object
                    properties:
                      page:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      totalPages:
                        type: number
                    required:
                      - page
                      - limit
                      - total
                      - totalPages
                required:
                  - data
                  - pagination
      security:
        - bearerAuth: []
components:
  schemas:
    RuleExecution:
      type: object
      properties:
        id:
          type: string
        rule_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - triggered
            - executed
            - skipped
            - failed
        result:
          type: object
          additionalProperties: {}
        triggered_at:
          type: string
          format: date-time
      required:
        - id
        - rule_id
        - status
        - triggered_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````